package com.lantone.qc.dbanaly.controller;

import com.lantone.qc.dbanaly.facade.comsis.ModuleHelper;
import com.lantone.qc.pub.res.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName : QCController
 * @Description : 质控总入口
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:57
 */
@Api(value = "数据对接接口", tags = { "数据对接接口" })
@RestController
@RequestMapping(value = "/db")
public class DbController {

    @Autowired
    private ModuleHelper moduleHelper;

    @ApiOperation(value = "模板信息加载")
    @PostMapping("loadModuleInfo")
    public Response<Boolean> loadModuleInfo() {
        Response response = new Response();
        response.setData(moduleHelper.loadModuleInfo());
        return response;
    }

}